import React from 'react';

export const Checkbox = ({ checked, onChange }) => {
    const handleChange = (e) => {
    console.log('Checkbox clicked, checked:', e.target.checked);
    if (onChange) {
      onChange(e);
    }
  };
  return (
    <input
      type="checkbox"
      checked={checked}
      onChange={handleChange}
    />
  );
};